Hoogle Search

Within LTS Haskell 24.65 (ghc-9.10.3)

Note that Stackage only displays results for the latest LTS and Nightly snapshot. Learn more.

  1. package phantom-state

    Phantom State Transformer. Like State Monad, but without values. A monad transformer that mimics the State Monad Transformer from the transformers package, but dropping the values. In those cases that you want to use the State Monad but you only care about effects and how the state changes, use this library to earn a plus of efficiency.

  2. package pipes-concurrency

    Concurrency for the pipes ecosystem This library provides light-weight concurrency primitives for pipes, with the following features:

    • Simple API: Use only five functions
    • Deadlock Safety: Automatically avoid concurrency deadlocks
    • Flexibility: Build many-to-many and cyclic communication topologies
    • Dynamic Graphs: Add or remove readers and writers at any time
    Import Pipes.Concurrent to use the library. Read Pipes.Concurrent.Tutorial for a tutorial.

  3. package pipes-group

    Group streams into substreams pipes-group uses FreeT and lenses to group streams into sub-streams. Notable features include:

    • Perfect Streaming: Group elements without collecting them into memory
    • Lens Support: Use lenses to simplify many common operations
    Pipes.Group contains the full documentation for this library. Read Pipes.Group.Tutorial for an extensive tutorial.

  4. package pipes-ordered-zip

    merge two ordered Producers into a new Producer provides a simple function to merge two Pipes-Producers into a new Producer that yields pairs of values of the original producers, but using Maybes to indicate values that are only present in the first, second or both producers. Useful to perform Left-Joins, Right-Joins and Inner-Joins on the fly using Haskell Pipes.

  5. package pipes-zlib

    Zlib and GZip compression and decompression for Pipes streams Zlib and GZip compression and decompression for Pipes streams

  6. package polysemy-plugin

    Disambiguate obvious uses of effects. Please see the README on GitHub at https://github.com/polysemy-research/polysemy/tree/master/polysemy-plugin#readme

  7. package pontarius-xmpp

    An XMPP client library Pontarius XMPP is a work in progress implementation of RFC 6120 ("XMPP CORE"), RFC 6121 ("XMPP IM"), and RFC 6122 ("XMPP ADDR"). While in alpha, Pontarius XMPP works quite well and fulfills most requirements of the RFCs.

  8. package postgres-options

    An Options type representing options for postgres connections This package exports an Options type representing options for postgres connections

  9. package postgresql-syntax

    PostgreSQL AST parsing and rendering Postgres syntax tree and related utils extracted from the "hasql-th" package. The API is in a rather raw "guts out" state with most documentation lacking, but the codebase is well tested.

  10. package prettychart

    Pretty print charts from ghci. Serve and print charts from ghci or from an svg file, with automatic formatting.

Page 135 of many | Previous | Next